#! /bin/bash
# cd pennconverter
# find /scratch/5koehn/wsj/{01..18} -type f | xargs cat | java -jar pennconverter-1362028679.jar > wsj-01-18.conll

# find /scratch/5koehn/wsj/23 -type f | grep -v conll | xargs cat | java -jar pennconverter-1362028679.jar > wsj-23.conll

# cd ..
# mkdir -p wsj-1-18
# python3 ~/toolbox/split_conll.py < pennconverter/wsj-01-18.conll ../wsj-1-18/wsj-s%i.conll

# mkdir -p wsj-23
# python3 ~/toolbox/split_conll.py < pennconverter/wsj-23.conll wsj-23/wsj-s%i.conll

rm -rf gold test train out nonspec

mkdir -p gold
mkdir -p test
mkdir -p train
mkdir -p out

mkdir -p nonspec/train
mkdir -p nonspec/test
mkdir -p nonspec/out

mkdir -p nonincr-out


# training data
~/toolbox/create_prefixes_virtual_unified.py -dp -l en  wsj-1-18/wsj-s%i.conll train/%s-%i.conll 1 36298

# gold standard:
~/toolbox/create_prefixes_virtual_unified.py -d -l en  wsj-23/wsj-s%i.conll gold/%s-%i.conll 1 2416

# test input for TurboParser: fixed set of VNs
~/toolbox/create_prefixes_virtual_unified.py -ps -l en  wsj-23/wsj-s%i.conll test/%s-%i.conll 1 2416


# now nonspec

# training data
~/toolbox/create_prefixes_virtual_unified.py -n -l en  wsj-1-18/wsj-s%i.conll nonspec/train/%s-%i.conll 1 36298

# test input
~/toolbox/create_prefixes_virtual_unified.py -n -l en  wsj-23/wsj-s%i.conll nonspec/test/%s-%i.conll 1 2416

exit

~/TurboParser/src/parser/TurboParser -file_model ~/TurboParser/heise-incr-1-10000.model -test -file_test $DIR/test/ -file_prediction $DIR/out/ -logtostderr

# FIXME this is a hack because TurboParser emits "ROOT" instead of "" for empty labels
cd out
ls | xargs sed -i 's/\t0\tROOT/\t0\t\t/'
cd ..

# run TurboParser nonspec
~/TurboParser/src/parser/TurboParser -file_model wsj-incr-nonspec-0-9.model -test -file_test nonspec/test/ -file_prediction nonspec/out/ -logtostderr

~/toolbox/cdgevaluator_timecourse.py out/wsj-s%id-%incr.conll gold/wsj-s%id-%incr.conll 1 2416 5 > wsj-0-9-minpred.data
~/toolbox/cdgevaluator_timecourse.py nonspec/out/wsj-s%id-%incr.conll nonspec/test/wsj-s%id-%incr.conll 1 2416 5 > wsj-0-9-nonspec.data




####################
# Tagger
####################

mkdir -p tagger/train
~/toolbox/create_prefixes_virtual_unified.py -ps -l en  wsj-1-18/wsj-s%i.conll tagger/train/%s-%i.conll 1 36298

find tagger/train/ -type f | xargs -n 1 -- gawk -F "\t" '{ if (NF>0) print $2 "\t" $5; else print ""}; END {print ""}' > tagger/trainfile


# run tagger

mkdir -p test-tagged

for f in $(find test -type f); do ~/TurboParser/src/tagger/TurboTagger -file_model tagger-increments.model -file_test f -file_prediction test-tagged${f#test} -logtostderr; done

## wsj-0-9
mkdir -p train-0-9-nonspec

~/toolbox/create_prefixes_virtual_unified.py -n -l en  ~/wsj-incr/wsj-s%i.conll train-0-9-nonspec/%s-%i.conll 1 18318
